List Collections
curl --request GET \
--url https://api.reyhford.com/taxii2/collections/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reyhford.com/taxii2/collections/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reyhford.com/taxii2/collections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collections": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "Reyhford Global Feed",
"description": "<string>",
"can_read": true,
"can_write": true,
"media_types": [
"<string>"
]
}
]
}{
"code": "<string>",
"message": "<string>"
}TAXII 2.1
List Collections
List available TAXII 2.1 collections on the Reyhford server.
GET
/
taxii2
/
collections
/
List Collections
Returns the TAXII collections available to your API key.
Primary collection
| ID | Description |
|---|---|
reyhford-global-feed | Global ICS/OT indicators enriched from the Reyhford honeypot network |
Authentication
Requires a valid API key:Authorization: Bearer <api-key>
Next step
Poll STIX objects from a collection using Get Objects.⌘I